MsWrdEntry Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MsWrdEntry Struct Referencefinal

the entry of MsWrdParser More...

`#include <MsWrdParser.hxx>`

Inheritance diagram for MsWrdEntry:

## Public Member Functions
| MsWrdEntry ()
| constructor More...
| ~MsWrdEntry () final
| destructor More...
int | pictType () const
| returns the text id More...
void | setPictType (int newId)
| sets the picture id More...
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor More...
virtual | ~MWAWEntry ()
| destructor More...
void | setBegin (long off)
| sets the begin offset More...
void | setLength (long l)
| sets the zone size More...
void | setEnd (long off)
| sets the end offset More...
long | begin () const
| returns the begin offset More...
long | end () const
| returns the end offset More...
long | length () const
| returns the length of the zone More...
bool | valid () const
| returns true if the zone length is positive More...
bool | operator== (const MWAWEntry &a) const
| basic operator== More...
bool | operator!= (const MWAWEntry &a) const
| basic operator!= More...
bool | isParsed () const
| a flag to know if the entry was parsed or not More...
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false More...
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ... More...
std::string const & | type () const
| returns the type of the entry More...
bool | hasType (std::string const &typ) const
| returns true if the type entry == type More...
void | setName (std::string const &nam)
| sets the name of the entry More...
std::string const & | name () const
| name of the entry More...
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name More...
int | id () const
| returns the id More...
void | setId (int newId)
| sets the id More...
std::string const & | extra () const
| retrieves the extra string More...
void | setExtra (std::string const &s)
| sets the extra string More...

## Public Attributes
int | m_pictType
| the picture identificator More...

## Friends
std::ostream & | operator<< (std::ostream &o, MsWrdEntry const &entry)
| operator<< More...

## Additional Inherited Members
Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry. More...
long | m_length
| the size of the entry More...
std::string | m_type
| the entry type More...
std::string | m_name
| the name More...
std::string | m_extra
| an extra string More...
int | m_id
| an identificator More...
bool | m_parsed
| a bool to store if the entry is or not parsed More...

## Detailed Description

the entry of MsWrdParser

## Constructor & Destructor Documentation

## ◆ MsWrdEntry()

MsWrdEntry::MsWrdEntry | ( |  | ) |
| inline

constructor

## ◆ ~MsWrdEntry()

MsWrdEntry::~MsWrdEntry | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ pictType()

int MsWrdEntry::pictType | ( |  | ) | const
| inline

returns the text id

This field is used to differentiate main text, header, ...)

Referenced by MsWrdParser::readPicture().

## ◆ setPictType()

void MsWrdEntry::setPictType | ( | int | newId | ) |
| inline

sets the picture id

Referenced by MsWrdParser::checkPicturePos().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MsWrdEntry const & | entry
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_pictType

int MsWrdEntry::m_pictType

the picture identificator

Referenced by pictType(), and setPictType().

The documentation for this struct was generated from the following files:

- MsWrdParser.hxx
- MsWrdParser.cxx